package model

import (
	"time"
)

type TaLuckdrawPrize struct {
	Id                int       `xorm:"not null pk autoincr INT(11)"`
	LuckdrawId        int       `xorm:"INT(11)"`
	PrizeName         string    `xorm:"VARCHAR(50)"`
	PrizeImg          string    `xorm:"TEXT"`
	Stock             int       `xorm:"INT(11)"`
	Remainder         int       `xorm:"INT(11)"`
	Probability       int       `xorm:"INT(11)"`
	PrizeDesc         string    `xorm:"TEXT"`
	PrizeLink         string    `xorm:"TEXT"`
	Status            int       `xorm:"SMALLINT(6)"`
	IsReality         int       `xorm:"SMALLINT(6)"`
	VerificationStart time.Time `xorm:"DATETIME"`
	VerificationEnd   time.Time `xorm:"DATETIME"`
}
